TextRenderer
Date: 2019-10-22

org.jmol.render

## Class TextRenderer

- java.lang.Object
- - org.jmol.render.TextRenderer

-     class TextRenderer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextRenderer()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static boolean` | `render(Text text, JmolRendererInterface g3d, float scalePixelsPerMicron, float imageFontScaling, boolean isAbsolute, float[] boxXY, float[] temp)`
    `(package private) static void` | `renderSimpleLabel(JmolRendererInterface g3d, Font font, java.lang.String strLabel, short colix, short bgcolix, float[] boxXY, int z, int zSlab, int xOffset, int yOffset, float ascent, int descent, boolean doPointer, short pointerColix, boolean isAbsolute)`
    `private static void` | `showBox(JmolRendererInterface g3d, short colix, int x, int y, int z, int zSlab, int boxWidth, int boxHeight, float imageFontScaling, boolean atomBased)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextRenderer

          TextRenderer()

  - ### Method Detail

    - #### render

          static boolean render(Text text,
                                JmolRendererInterface g3d,
                                float scalePixelsPerMicron,
                                float imageFontScaling,
                                boolean isAbsolute,
                                float[] boxXY,
                                float[] temp)

    - #### renderSimpleLabel

          static void renderSimpleLabel(JmolRendererInterface g3d,
                                        Font font,
                                        java.lang.String strLabel,
                                        short colix,
                                        short bgcolix,
                                        float[] boxXY,
                                        int z,
                                        int zSlab,
                                        int xOffset,
                                        int yOffset,
                                        float ascent,
                                        int descent,
                                        boolean doPointer,
                                        short pointerColix,
                                        boolean isAbsolute)

    - #### showBox

          private static void showBox(JmolRendererInterface g3d,
                                      short colix,
                                      int x,
                                      int y,
                                      int z,
                                      int zSlab,
                                      int boxWidth,
                                      int boxHeight,
                                      float imageFontScaling,
                                      boolean atomBased)